# Update operation block **NOTE**: This v2 endpoint serves as a replacement for the v1 version. Updates operation block properties.
You can use `allowed_operations` to allow certain financial transactions. # OpenAPI definition ```json { "openapi": "3.0.0", "info": { "title": "Banking - Transaction banking", "version": "0.9.0", "description": "Transaction banking API", "contact": { "name": "API Support", "url": "https://developers.pismo.io/support/" }, "license": { "name": "Copyright Pismo" } }, "servers": [ { "url": "https://sandbox.pismolabs.io", "description": "Sandbox API server for testing" } ], "security": [ { "BearerAuth": [] } ], "tags": [ { "name": "Operations blocks", "description": "Operations blocks endpoints" } ], "components": { "parameters": { "OperationsBlockV2IDPath": { "name": "operationsBlockId", "in": "path", "description": "Operations block ID", "schema": { "type": "string", "format": "uuid" }, "example": "e4adf199-c925-4d11-b002-c5bfd5679030", "required": true } }, "schemas": { "AllowedOperations": { "type": "array", "description": "List of operations allowed to bypass the block enforcement logic.
\n- `EARMARK_RELEASE`: Release an earmark even when an operation block is active.\n- `EARMARK_UPDATE`: Update an earmark (set amount, increase, or decrease) while the account is blocked by an operation block.\n- `PAYMENT_DEBIT`: Execute a debit transaction while the account is blocked by an operation block.\n- `PAYMENT_CREDIT`: Execute a credit transaction while the account is blocked by an operation block.\n- `PAYMENT_CONFIRM`: Confirm a value transaction while the account is blocked by an operation block.\n- `PAYMENT_CANCEL`: Cancel an existing transaction while the account is blocked by an operation block.\n- `ACCOUNT_STATUS_UPDATE`: Change the account status and the associated status reason.\n- `CHECK_POST`: Post a check while the account is blocked by an operation block.\n- `CHECK_RELEASE`: Release an uncleared check or operation while the account is blocked by an operation block.\n- `CHECK_CANCEL`: Cancel an existing check while the account is blocked by an operation block.\n- `RESTRICTED_FUNDS_CREATE`: Hold a specified amount by transferring it from the available balance to restricted funds.\n- `RESTRICTED_FUNDS_RELEASE`: Release restricted funds from hold. This transfers funds from restricted funds back to available balance.\n", "items": { "$ref": "#/components/schemas/OperationsBlocksOperation" }, "example": [ "EARMARK_CREATE" ] }, "DivisionCode": { "type": "string", "maxLength": 36, "description": "Code used to identify your division within the organization. Division code should only contain letters, numbers, and hyphens.", "example": "US" }, "ErrorCode": { "description": "Error code\n`minLength: 1`\n`maxLength: 12`\n", "type": "string", "minLength": 1, "maxLength": 12, "example": "WPMT0017" }, "ErrorMessage": { "description": "Error message\n`minLength: 1`\n`maxLength: 1000`\n", "type": "string", "minLength": 1, "maxLength": 1000, "example": "Invalid JSON payload received: Error unmarshalling request" }, "ErrorResponse": { "type": "object", "properties": { "code": { "$ref": "#/components/schemas/ErrorCode" }, "message": { "$ref": "#/components/schemas/ErrorMessage" } } }, "OperationsBlocksOperation": { "type": "string", "description": "Operation name.
\nFinancial operations that are allowed to bypass the block enforcement logic.\n", "enum": [ "EARMARK_CREATE", "EARMARK_RELEASE", "EARMARK_UPDATE", "PAYMENT_DEBIT", "PAYMENT_CREDIT", "PAYMENT_CONFIRM", "PAYMENT_CANCEL", "ACCOUNT_STATUS_UPDATE", "CHECK_POST", "CHECK_RELEASE", "CHECK_CANCEL", "RESTRICTED_FUNDS_CREATE", "RESTRICTED_FUNDS_RELEASE" ], "example": "EARMARK_RELEASE" }, "OperationsBlockV2": { "type": "object", "description": "Operations block", "properties": { "block_id": { "$ref": "#/components/schemas/OperationsBlockV2ID" }, "description": { "$ref": "#/components/schemas/OperationsBlockDescription" }, "status": { "$ref": "#/components/schemas/OperationsBlockStatus" }, "created_at": { "$ref": "#/components/schemas/OperationBlockCreatedAt" }, "division_code": { "$ref": "#/components/schemas/DivisionCode" }, "program_id": { "$ref": "#/components/schemas/ProgramID" }, "allowed_operations": { "$ref": "#/components/schemas/AllowedOperations" }, "updated_at": { "$ref": "#/components/schemas/OperationBlockUpdatedAt" } }, "required": [ "block_id", "description", "status", "created_at" ] }, "OperationBlockCreatedAt": { "type": "string", "format": "date-time", "description": "Operation block creation timestamp (ISO 8601). Format = `YYYY-MM-DDTHH:mm:ss.sssssssssZ`.", "example": "2024-12-16T06:50:08.83861056Z" }, "OperationBlockUpdatedAt": { "type": "string", "format": "date-time", "description": "Operation block last update timestamp (ISO 8601). Format = `YYYY-MM-DDTHH:mm:ss.sssssssssZ`.", "example": "2024-12-17T07:50:08.83861056Z" }, "OperationsBlockDescription": { "type": "string", "maxLength": 100, "description": "Operations block description", "example": "FDIC operations block" }, "OperationsBlockStatus": { "type": "string", "description": "Status of the operations block.\n", "enum": [ "ACTIVE", "DEACTIVATED" ], "example": "ACTIVE" }, "OperationsBlockV2ID": { "type": "string", "format": "uuid", "description": "Operations block ID", "maxLength": 36, "example": "e4adf199-c925-4d11-b002-c5bfd5679030" }, "PatchOperationsBlockV2Request": { "description": "Update operation block request body", "type": "object", "properties": { "description": { "$ref": "#/components/schemas/OperationsBlockDescription" }, "allowed_operations": { "$ref": "#/components/schemas/AllowedOperations" } } }, "ProgramID": { "type": "integer", "format": "int64", "maximum": 99999999999, "description": "Program ID. The program must belong to the organization. Use [List programs](https://developers.pismo.io/pismo-docs/reference/programs-1) to view a list of the program IDs for the organization.\n\nThis program must be bound to the division. You can attach the program with either of the following endpoints:\n[Create division](https://developers.pismo.io/pismo-docs/reference/post-division-v2)\n[Patch division](https://developers.pismo.io/pismo-docs/reference/patch-division-v2)\n", "example": 8674 } }, "responses": { "500InternalServer": { "description": "Internal Server Error", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/ErrorResponse" }, "examples": { "Generic internal error": { "value": { "code": "ECMN9999", "message": "Internal error" } } } } } } }, "securitySchemes": { "BearerAuth": { "type": "http", "scheme": "bearer", "bearerFormat": "JWT" } } }, "paths": { "/corporate/v2/operations-blocks/{operationsBlockId}": { "patch": { "summary": "Update operation block", "operationId": "corporate-patch-v2-operation-block-id", "description": "**NOTE**: This v2 endpoint serves as a replacement for the v1 version.\n\nUpdates operation block properties.
\nYou can use `allowed_operations` to allow certain financial transactions.\n", "parameters": [ { "$ref": "#/components/parameters/OperationsBlockV2IDPath" } ], "tags": [ "Operations blocks" ], "requestBody": { "description": "Create operation block request body", "required": true, "content": { "application/json": { "schema": { "$ref": "#/components/schemas/PatchOperationsBlockV2Request" }, "examples": { "Both attributes": { "value": { "description": "FDIC operation block", "allowed_operations": [ "EARMARK_RELEASE" ] } }, "Only description": { "value": { "description": "FDIC operation block" } }, "Only allowed_operations": { "value": { "allowed_operations": [ "EARMARK_RELEASE" ] } } } } } }, "responses": { "200": { "description": "OK", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/OperationsBlockV2" } } } }, "400": { "description": "Bad request", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/ErrorResponse" }, "examples": { "One of the attributes must be provided": { "value": { "code": "WOBK0002", "message": "description or allowed_operations must be provided" } }, "Invalid id parameter": { "value": { "code": "WOBK0005", "message": "Invalid id parameter" } }, "Not Active": { "value": { "code": "WOBK0009", "message": "Operation block is not active" } } } } } }, "404": { "description": "Not Found", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/ErrorResponse" }, "examples": { "Operation block not found": { "value": { "code": "WOBK0006", "message": "Operation block not found" } } } } } }, "500": { "$ref": "#/components/responses/500InternalServer" } } } } } } ```